Subject: Last Call on draft-bradner-rfc3979bis-08.txt ("Intellectual Property Rights in IETF Technology")

From: Jari Arkko <[email-masked]>
Date: Tue, 22 Mar 2016 14:17:35 +0200

All,

RFC 3979 was published in 2005. Since then we’ve gathered a lot of experience, and we’d like to update the RFC with that experience. This isn’t a revolution of the IETF IPR approach, it is mostly about clarification, better documentation, and recognising some other new RFCs and changes. But the document itself has changed quite a lot and structured differently than RFC 3979 was.

Some of the main issues (such as how to define participation) were discussed in the IETF-87 meeting, but there are also a number of other changes in this document. Please give this document a careful read, and let us know your feedback.

I am starting a last call on this document today, but gave a longer last call period to make sure everyone has enough time to comment after IETF-95 as well. And thanks for the comments that some of you have already sent after the document was published; we’ve observed them and will make them part of the feedback from the Last Call.

The document is available here:

   https://datatracker.ietf.org/doc/draft-bradner-rfc3979bis/
   https://tools.ietf.org/html/draft-bradner-rfc3979bis-08

Jari Arkko (as the responsible AD for this document)

---

From: Russ Housley <[email-masked]>
Date: Fri, 25 Mar 2016 12:28:46 -0400

Jari:

I looked at the diff between RFC 3979 and draft-bradner-rfc3979bis-08.txt.  The changes are substantial.  Over the last few years there have been sessions at IETF meetings about the things that needed to be clarified, but my interpretation of those discussions was that we had most things right and a few things needed to be clarified.  So the extent of the proposed changes is a bit of a surprise to me.  I do not find Section 13 helpful is explaining the changes that were made, or the rationale for them.

The definition of Contribution now includes:

      o any IETF-sanctioned design team or portion thereof,

I really have a problem with the use of "IETF-sanctioned” in this bullet.  RFC 2418 talks about design teams.  It says:

6.5. Design teams

   It is often useful, and perhaps inevitable, for a sub-group of a
   working group to develop a proposal to solve a particular problem.
   Such a sub-group is called a design team.  In order for a design team
   to remain small and agile, it is acceptable to have closed membership
   and private meetings.  Design teams may range from an informal chat
   between people in a hallway to a formal set of expert volunteers that
   the WG chair or AD appoints to attack a controversial problem.  The
   output of a design team is always subject to approval, rejection or
   modification by the WG as a whole.

It seems to me that the design team, whether established by the leadership or self organized, intends to influence the IETF document.  For this reason, I think that any design team participation must be considered a contribution.

Russ

---

From: Scott Bradner <[email-masked]>
Date: Fri, 25 Mar 2016 12:30:53 -0400

makes sense

Scott

> On Mar 25, 2016, at 12:28 PM, Russ Housley <[email-masked]> wrote:
> 
> Jari:
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 26 Mar 2016 08:40:49 +1300

Russ,

Comment at the end:

> It seems to me that the design team, whether established by the leadership or self organized, intends to influence the IETF document.  For this reason, I think that any design team participation mu…

It's clear that any design team *output* is a contribution. But if a group
of friends have a chat over lunch, not as a design team mandated by WG chairs,
and one of them mentions a silly idea that is rejected in favour of a good
idea that the group later proposes to the WG, is that silly idea a contribution?
I don't think so.

All the same, I think the phrase "IETF-sanctioned" is redundant. A citation
of RFC 2418 would be in order, perhaps.

Regards
   Brian

---

From: John C Klensin <[email-masked]>
Date: Fri, 25 Mar 2016 16:26:15 -0400

--On Friday, March 25, 2016 12:28 -0400 Russ Housley
<[email-masked]> wrote:

> I really have a problem with the use of "IETF-sanctioned" in
> this bullet.  RFC 2418 talks about design teams.  It says:
> 
> 6.5. Design teams
> 
>    It is often useful, and perhaps inevitable, for a sub-group
> of a    working group to develop a proposal to solve a
> particular problem.    Such a sub-group is called a design
> team.  In order for a design team    to remain small and
> agile, it is acceptable to have closed membership    and
> private meetings.  Design teams may range from an informal chat
>    between people in a hallway to a formal set of expert
> volunteers that    the WG chair or AD appoints to attack a
> controversial problem.  The    output of a design team is
> always subject to approval, rejection or    modification by
> the WG as a whole.
> 
> It seems to me that the design team, whether established by
> the leadership or self organized, intends to influence the
> IETF document.  For this reason, I think that any design team
> participation must be considered a contribution.

Russ, 

I agree with your logic, but think there is a practical problem
with the application.  Part of my problem is believing that
2418, certainly with the best of intentions and probably
accidentally, overreached.  I see two difficulties:

(1) If one considers only design teams and discussions formed as
offshoots of WGs (and I think that was what was on the radar of
the process that produced 2418), the above sort of works then,
modulo the second difficulty, treating design team discussions
and input as Contributions is reasonable.  However, we also have
a lot of other things that can be considered design teams that
exist prior to WG creation (or even BOF or preliminary WG
formation requests).   We've seen a lot of good work come out of
such discussions, work that might have been impeded by people
having to invest too much effort in trying to figure out what
they can discuss while swilling coffee or other stimulants or
intoxicants.

It is not hard to imagine a discussion in which someone says
"well, my organization has some experience in this area and I
can tell you about it informally in case you find that useful
but, if the discussion turns formal and/or starts developing
specific proposals, I'll have to step back because my company
wants nothing to do with IETF involvement on that topic".   I
daresay that several of us have been in exactly that type of
situation.  Once a WG gets started, we lose that type of (often
very valuable and operational input) because the person involved
has to stand well back.   But, if we can avoid losing it
entirely, especially in the earliest stages of thinking about
design, it seems to me that is in the best interests of the
Internet.

Equally or more important, the more requirements we put on those
sorts of early discussions, the more we create incentives for
creation of specifications or proto-standards in real or
imaginary organizations outside the IETF and hence not subject
to its rules.  Whatever the Foundation for Operational
Optimization of Long-haul Services might be, it isn't an IETF WG
or Design Team.  When it brings a nearly-complete spec (they
say) to the IETF and says "standardize this" and "already
deployed", we don't have much leverage (probably none) on IETF
disclosures from the folks and companies that did the design:
other than listed document authors, they can hide completely
from Contribution-based requirements.   In pragmatic terms, I
would much rather allow informal and unconstrained discussions
under the IETF umbrella and then have open and transparent
discussions that conform to our IPR rules (and that allow the
IETF consensus process early change control) than be pushed to
adopt 3/4-baked proposals/specifications of sometime-dubious
origins.

(2) We seem to be going down a path in which it is necessary to
create documentation in situations where Contributions might
occur, if only to avoid "she said X and therefore made
Contributions and Participated"... "nope, never said that and
wasn't paying attention if it was said" conversations in which
discovering the reality is, at best, hard.  That is easy with
mailing lists and almost as easy with WGs that record their
sessions and/or product minutes or logs that identify individual
comments.  It is hard or impossible to do with an informal
gathering and discussion.  I don't think it is in our interest
to discourage those discussions.

While I'm dissatisfied with the terminology, I assume those
sorts of distinctions are what "IETF-sanctioned" was trying to
get at.

Recommendation, with the disclaimer that I have looked at the
relevant section but haven't studied the entire I-D...

Insert an additional subsection, perhaps as part of 5.1, that
talks about voluntary (non-required) disclosures.  Point to our
rationale for wanting (needing?) disclosures to improve the
quality of standards and preserve the integrity of the IETT
(there is material in Sections 2, 3.1, and the introduction to
Section 5 but it may not be good enough and/or sufficient).
>From that required point of view, the current text focuses too
much on obligations and requirements and avoids talking about
doing things just because they are The Right Thing to Do.  In
that section, encourage (but do not require) disclosures if
there are any interactions, whether possibly interpreted as
Contributions or not, that might shape or influence IETF
documents or ideas that could end up in IETF documents.  I'd
like to make that broad enough to suggest that any relevant
FOOLS participants have a moral obligation to disclose both
their conversations and any associated IPR.   

Then go ahead and narrow things a bit, although I still hope we
can do better that "IETF-sanctioned".  Remember that the _real_
risk here is that someone influences a WG or Last Call
discussion in some significant way without the community having
a chance to evaluate that influence attempt in the light of
outside motives or agendas (of which, of course, hidden IPR is a
tiny fraction of the bad possibilities). 

It may occasionally be worth remembering that part of the reason
for the IETF and the switch from a development and discussion
point for technical specifications to an SDO was that the
community believed that SDOs with lots of procedures,
hair-splitting rules, and an abundance of lawyers, were not a
good way to develop standards for the Internet or any other set
of high-quality technical specifications.  We shouldn't
accidentally re-invent ourselves into the model we were trying
to avoid.

     john

---

From: John C Klensin <[email-masked]>
Date: Fri, 25 Mar 2016 16:31:50 -0400

--On Saturday, March 26, 2016 08:40 +1300 Brian E Carpenter
<[email-masked]> wrote:

> It's clear that any design team *output* is a contribution.
> But if a group of friends have a chat over lunch, not as a
> design team mandated by WG chairs, and one of them mentions a
> silly idea that is rejected in favour of a good idea that the
> group later proposes to the WG, is that silly idea a
> contribution? I don't think so.

+1.  But what makes that output a Contribution is its injection
into the IETF process as an I-D, a WG discussion, a comment at a
plenary microphone, or mention on an IETF-related mailing list.
All of those are clearly Contributions even under 3979 and its
predecessors.

> All the same, I think the phrase "IETF-sanctioned" is
> redundant. A citation of RFC 2418 would be in order, perhaps.

Remember that we have a significant number of documents,
standards-track and otherwise, that do not come out of WGs and
that we have traditionally wanted to be covered by IPR
disclosure rules.   2418, AFAICT, is only about WGs.

    john

---

From: Sam Hartman <[email-masked]>
Date: Fri, 25 Mar 2016 16:41:58 -0400

>>>>> "John" == John C Klensin <[email-masked]> writes:

    John> --On Saturday, March 26, 2016 08:40 +1300 Brian E Carpenter
    John> <[email-masked]> wrote:

    >> It's clear that any design team *output* is a contribution.  But
    >> if a group of friends have a chat over lunch, not as a design
    >> team mandated by WG chairs, and one of them mentions a silly idea
    >> that is rejected in favour of a good idea that the group later
    >> proposes to the WG, is that silly idea a contribution? I don't
    >> think so.

If it's a design team that thinks of itself as a design team, I really
want the silly idea to count as an IETF contribution.
If I get together with you to do IETF work, part of why I'm willing to
do so is because we've agreed that you'll disclose any IP.  If I'm doing
IETF work with you, I want you to be obligated to disclose by the time
you're advocating for a specific position.

As an individual who may some day again contribute to the IETF, that's
really important to me.

Now, there's ambiguity.  I realize a group of friends involved in the
IETF can get together for purposes other than IETF work.

However, speaking for myself, I'd be less willing  to do work in an IETF
where a lunchtime discussion for IETF work didn't count as contributions
than one where it did.

I think waiting for an idea to be presented in an ID, at the microphone,
or on a list is too late.
A lot of advocacy for positions happens before then, and you can get in
bad IPR situations if you are not required to disclose by the time that
advocacy starts.

--Sam

---

From: John C Klensin <[email-masked]>
Date: Fri, 25 Mar 2016 17:55:07 -0400

--On Friday, March 25, 2016 16:41 -0400 Sam Hartman
<[email-masked]> wrote:

>...
>     >> It's clear that any design team *output* is a
> contribution.  But     >> if a group of friends have a chat
> over lunch, not as a design     >> team mandated by WG chairs,
> and one of them mentions a silly idea     >> that is rejected
> in favour of a good idea that the group later     >> proposes
> to the WG, is that silly idea a contribution? I don't     >>
> think so.
> 
> If it's a design team that thinks of itself as a design team,
> I really want the silly idea to count as an IETF contribution.
> If I get together with you to do IETF work, part of why I'm
> willing to do so is because we've agreed that you'll disclose
> any IP.  If I'm doing IETF work with you, I want you to be
> obligated to disclose by the time you're advocating for a
> specific position.
> 
> As an individual who may some day again contribute to the
> IETF, that's really important to me.
> 
> Now, there's ambiguity.  I realize a group of friends involved
> in the IETF can get together for purposes other than IETF work.
> 
> However, speaking for myself, I'd be less willing  to do work
> in an IETF where a lunchtime discussion for IETF work didn't
> count as contributions than one where it did.
> 
> I think waiting for an idea to be presented in an ID, at the
> microphone, or on a list is too late.
> A lot of advocacy for positions happens before then, and you
> can get in bad IPR situations if you are not required to
> disclose by the time that advocacy starts.

Ok, Sam,

How do you feel about documents created in a group with some
other name, even if all the participants are active in the IETF,
creating an implementation or two, and then bringing the spec to
the IETF and saying "standardize this, but the spec is
fully-baked and deployed so you can't change it much without a
lot of justification"?   We've seen that happen multiple times.
IMO, most of them were for other reasons but, if someone has bad
intentions toward the IETF disclosure rules, that is the obvious
mechanism for them to use and it results in much later
disclosure than you would like, with no IETF ability to claim
that people were obligated to disclose earlier.

I think that is worse, but unavoidable.   However, for the
people with better intentions, I'd like to encourage voluntary
disclosure as early as possible, reserving the specific rules
and hair-splitting for the point at which the need to disclosure
is clear and absolutely mandatory.

YMMD... it is, IMO, really a question of whether we are willing
to make technical tradeoffs or push work out entirely in order
to be in a slightly better position relative to mandatory
disclosures.

    john

---

From: Harald Alvestrand <[email-masked]>
Date: Sat, 26 Mar 2016 10:36:00 +0100

If the documents clearly define the term "design team" as teams that are
created by a decision in an IETF process, I have very few problem
extending "IETF contribution" to contributions to the design team.

If (as I've sometimes seen) everyone who meets to hash out an idea wants
to call themselves + their friends is a "design team", then I see a
problem with the extension.

The lunchtime "bar BOF" would be a nice test case - arranged by WG
chairs over the WG (or IETF non-WG) mailing list, it would be an IETF
activity with IETF contribution; arranged between friends on the way out
of the preceding WG meeting, it would (I think) not be.

---

From: John C Klensin <[email-masked]>
Date: Sat, 26 Mar 2016 10:17:17 -0400

--On Saturday, March 26, 2016 10:36 +0100 Harald Alvestrand
<[email-masked]> wrote:

> If the documents clearly define the term "design team" as
> teams that are created by a decision in an IETF process, I
> have very few problem extending "IETF contribution" to
> contributions to the design team.
> 
> If (as I've sometimes seen) everyone who meets to hash out an
> idea wants to call themselves + their friends is a "design
> team", then I see a problem with the extension.
> 
> The lunchtime "bar BOF" would be a nice test case - arranged
> by WG chairs over the WG (or IETF non-WG) mailing list, it
> would be an IETF activity with IETF contribution; arranged
> between friends on the way out of the preceding WG meeting, it
> would (I think) not be.

I think this is a good summary of a reasonable way to draw the
line.  For the second case, I do note that there have been
attempts by non-participants to define the second sort of group
as a design team in order to give them (or the WG Chairs)
leverage over membership and participation.  But I'd hope to
keep that separate... and a WG Chair could, subject to appeal,
designate such a group as a design team if it seemed to be
getting out of hand, so maybe there is no problem in practice.

     john

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 27 Mar 2016 09:00:38 +1300

On 27/03/2016 03:17, John C Klensin wrote:
> line.  

I agree. In terms of wording in the draft, I'll repeat that
referring to RFC 2418 seems appropriate (rather than relying
on duplicate definitions of terms). To be exact, perhaps:

      Such statements include oral statements, as well as written and
      electronic communications, which are addressed to:

      o the IETF plenary session,
      o any IETF working group [BCP25] or portion thereof,
      o any IETF "birds of a feather" (BOF) session or portion thereof,
      o any IETF design team [BCP25] or portion thereof,
      o the IESG, or any member thereof on behalf of the IESG,
      ...

(I intentionally deleted "-sanctioned". As far as I can see it's
redundant and confuses the issue.)

Incidentally, does the "the IESG, or any member thereof" cover
IETF Directorates, which are established by individual IESG members?

  Brian

> For the second case, I do note that there have been

---

From: Sam Hartman <[email-masked]>
Date: Mon, 28 Mar 2016 12:15:58 -0400

>>>>> "John" == John C Klensin <[email-masked]> writes:

    John> Ok, Sam,

    John> How do you feel about documents created in a group with some
    John> other name, even if all the participants are active in the
    John> IETF, creating an implementation or two, and then bringing the
    John> spec to the IETF and saying "standardize this, but the spec is
    John> fully-baked and deployed so you can't change it much without a
    John> lot of justification"?  We've seen that happen multiple times.
    John> IMO, most of them were for other reasons but, if someone has
    John> bad intentions toward the IETF disclosure rules, that is the
    John> obvious mechanism for them to use and it results in much later
    John> disclosure than you would like, with no IETF ability to claim
    John> that people were obligated to disclose earlier.

I'm much more comfortable with this actually.  See, I know that if I
participate in such an effort I'm not working under IETF IPR rules.
Again for me, especially when I'm contributing as an individual rather
than being funded by someone, it's a question of whether we're creating
a commons together.  You want my time, you disclose before you advocate
your proposal.
It's important to me I be able to make that stick.

---

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 30 Mar 2016 18:49:45 +0300

Hi,

Section 1 (Definitions), subsection k says the following:

>       Without limiting the generality of the
>       foregoing, acting as a working group chair or Area Director
>       constitutes "Participating" in all activities of the relevant
>       working group or area.

The AD of a large area may not get to read all individual I-Ds or all
email messages sent in all the WGs of the area. We may want to define
this a bit more explicitly.

Cheers,

Gonzalo

---

From: Scott Bradner <[email-masked]>
Date: Wed, 30 Mar 2016 12:28:21 -0400

this was the (strong?) consensus of the IPR BOF

Scott

> On Mar 30, 2016, at 11:49 AM, Gonzalo Camarillo <[email-masked]> wrote:
> 
> Hi,
>

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 30 Mar 2016 11:54:02 -0500

Hi, Scott,

> this was the (strong?) consensus of the IPR BOF

That wouldn't surprise me.

At a minimum, I'm sort of surprised that the scope isn't the WGs the AD is
responsible for.

Within my WGs, I'm usually pretty much clued and up to date. On Martin's
side of TSV, I'm much less involved, and don't read every message.

And TSV is one of the smaller areas. I'm sure that practice varies between
areas, of course.

I hope someone asks about this at plenary next week :-)

Spencer

> >> RFC 3979 was published in 2005. Since then we’ve gathered a lot of
experience, and we’d like to update the RFC with that experience. This
isn’t a revolution of the IETF IPR approach, it is mostly about
clarification, better documentation, and recognising some other new RFCs
and changes. But the document itself has changed quite a lot and structured
differently than RFC 3979 was.
> >>
> >> Some of the main issues (such as how to define participation) were
discussed in the IETF-87 meeting, but there are also a number of other
changes in this document. Please give this document a careful read, and let
us know your feedback.
> >>
> >> I am starting a last call on this document today, but gave a longer
last call period to make sure everyone has enough time to comment after
IETF-95 as well. And thanks for the comments that some of you have already
sent after the document was published; we’ve observed them and will make
them part of the feedback from the Last Call.

---

From: Russ Housley <[email-masked]>
Date: Wed, 30 Mar 2016 17:13:56 -0400

Scott:

At IETF 86 in the IPRbis BOF, the minutes reflect fe following conclusion:

   Strong sense of the room that active influence counts as participation,
   but listening and watching does not.

So, one might argue that an AD can be unaware that a particular document includes something that needs to be disclosed up to the point that they take some action on that document, such as sponsoring it.

Can you point to a discussion on the other side of this point?

Russ

---

From: Jari Arkko <[email-masked]>
Date: Wed, 30 Mar 2016 23:19:04 +0200

Trying to take this into a practical direction.

I think the current sentence in the draft is fairly broad, and doesn’t necessarily match practical capabilities that chairs or ADs have, as explained by Spencer and others. The issue is, if Spencer doesn’t read all documents on the other half of the area, or if Jari doesn’t read all the documents because he delegates some of the review task to a directorate, how would we know what to declare, even if we were personally aware of IPR on a topic? It may of course be that once we read a document later (such as in last call or as part of a final IESG review), you may finally realise that a declaration is necessary. But, as noted, not even that is necessarily always guaranteed.

Jari

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 30 Mar 2016 18:13:39 -0400

we were trying to reject the consensus we heard but if someone has a better way to say this we would be happy to use it

Scott

> On Mar 30, 2016, at 5:19 PM, Jari Arkko <[email-masked]> wrote:
>

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 30 Mar 2016 18:16:55 -0400

sigh - apple helping again

s/reject/respect/

(although some people might believe the 1st version)

Scott

> On Mar 30, 2016, at 6:13 PM, Scott O. Bradner <[email-masked]> wrote:
>

---

From: Michael Cameron <[email-masked]>
Date: Wed, 30 Mar 2016 22:18:40 +0000

Hi Scott. I assume you mean "reflect" :-)  As far as a better way to say it, I propose the language from the related thread.

Best, Mike

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Scott O. Bradner
Sent: Wednesday, March 30, 2016 3:14 PM
To: Jari Arkko
Cc: [email-masked]
Subject: Re: Last Call on draft-bradner-rfc3979bis-08.txt ("Intellectual Property Rights in IETF Technology")

Scott

> I think the current sentence in the draft is fairly broad, and doesn't necessarily match practical capabilities that chairs or ADs have, as explained by Spencer and others. The issue is, if Spencer doesn't read all documents on the other half of the area, or if Jari doesn't read all the documents because he delegates some of the review task to a directorate, how would we know what to declare, even if we were personally aware of IPR on a topic? It may of course be that once we read a document later (such as in last call or as part of a final IESG review), you may finally realise that a declaration is necessary. But, as noted, not even that is necessarily always guaranteed.
> 
> Jari
> 
>

---

From: Michael Cameron <[email-masked]>
Date: Wed, 30 Mar 2016 22:20:36 +0000

Respecting Apple's IPR, I think that would be "sigh, - Apple(r) brand autocorrect functionality helping again."

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Scott O. Bradner
Sent: Wednesday, March 30, 2016 3:17 PM
To: Jari Arkko
Cc: [email-masked]
Subject: Re: Last Call on draft-bradner-rfc3979bis-08.txt ("Intellectual Property Rights in IETF Technology")

s/reject/respect/

Scott

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 30 Mar 2016 18:21:22 -0400

yup

> On Mar 30, 2016, at 6:20 PM, Michael Cameron <[email-masked]> wrote:
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 31 Mar 2016 15:52:21 +1300

> So, one might argue that an AD can be unaware that a particular document includes something that needs to be disclosed up to the point that they take some action on that document, such as sponsorin…

Yes, but is that an issue? The AD is only required to disclose when
she is "reasonably and personally aware" of the need for a disclosure,
which will presumably become the case when she actually reads the draft
(or sees the slides that describe the technology in question).

    Brian

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 31 Mar 2016 15:38:57 -0700

Thanks to those who have been working on this. I have some mostly minor comments below. Some of the comments below relate to text that hasn't changed from RFC 3979. But it seems that the changes being suggested in the document are substantial anyway, so I've included comments on both old and new text.

= General =

1) I agree with other commenters' concerns about the definition of "participating" with respect to WG chairs and ADs. In particular in the context of section 6, this seems like it could limit the pool of people who can stand for AD roles, because you're not allowed to participate in cases where you won't be able to disclose, but you have no idea a priori what WGs will get chartered in your area and what work items they might take up.

2) I find it quite awkward that the document sometimes uses "IPR" as a singular noun yet expands the acronym to be intellectual property rights (plural). E.g., there are multiple instances of the phrase "IPR is." Would suggest an edit pass to clean that up.  

= Sec 3.3 =

The title of this section indicates that it is about Participants. Then the two bullets refer to "The Contributor." This is confusing. Maybe the title should be Obligations on Participants and Contributors and the text should refer to Contributors (plural) or "Each Contributor" to match "each Participant."

= Sec 5.1 =

I would suggest merging the text in 5.2.1 into 5.1.1 and merging the text in 5.2.2 into 5.1.2.

= Sec 5.1.3 =

If any person has information about IPR that may Cover a written
   Contribution, but such person is not required to disclose such IPR
   because it does not meet the criteria in Section 6.6 (e.g., the IPR
   is not owned or controlled by the person or his or her employer or
   sponsor, or such person is not an IETF Participant),
   
There is no Section 6.6.

= Sec 5.2.2 =

"Participants who realize that IPR meeting the conditions of Section
   5.6 will be or has been incorporated into a Contribution, or is
   seriously being discussed in a working group, are strongly encouraged
   to make a preliminary IPR disclosure."

What does it mean for IPR to be incorporated into a Contribution? I feel like since the document defines "Covers," this requirement should use the defined word.

Similarly, this text seems to imply that IPR would be "in" a Contribution rather than Covered by it:

"If an IETF Participant first learns of IPR that meets the conditions
   of Section 5.6 in a Contribution by another party, for example a new
   patent application or the discovery of a relevant patent in a patent
   portfolio, after the Contribution was made …"

Alissa

> On Mar 22, 2016, at 5:17 AM, Jari Arkko <[email-masked]> wrote:
> 
> 
> All,
>